GET V1/Inventory.{ext}/SiteSummary?state={state}
Site summary defines the Total inactive, active accounts and spend for the site.
This API is used to get Site Summary for a state.
Mandatory Field : state
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| state |
Indicates state(Ex:-WV) |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
returns Total inactive and active accounts and spend for the site.
EMSResponseOfEMS.Inventory.Entities.SiteSummary| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Inventory.Entities.SiteSummary |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "SiteSummary",
"response": {
"totalSites": "sample string 1",
"inactiveSites": "sample string 2",
"activeSites": "sample string 3",
"totalSpend": "sample string 4"
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.